Page MenuHomePhabricator

Assisted currency conversion for PayPal is broken again
Closed, ResolvedPublic2 Story Points

Description

https://payments.wikimedia.org/index.php?title=Special:PayPalGateway&appeal=JimmyQuote&ffname=paypal&recurring=&uselang=en&language=en&currency=INR&country=US&amount=200.01

You will be redirected immediately to PayPal, for 3 USD. There should be an interstitial page alerting you to the currency conversion--unless we disabled that intentionally??

When fixed: write tests and document current policy, so this doesn't sneak up on us again.

Event Timeline

awight created this task.May 7 2015, 7:56 AM
awight raised the priority of this task from to High.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2015, 7:56 AM
atgo added subscribers: MeganHernandez_WMF, atgo.EditedMay 7 2015, 1:51 PM

@MeganHernandez_WMF thinks this may have been done intentionally. Do we have any notes about when this was changed?

We're not running campaigns in any of these countries for the time being and should investigate if this was intentional.

atgo lowered the priority of this task from High to Normal.May 7 2015, 1:53 PM
awight added a comment.May 7 2015, 7:52 PM

That's what I was thinking as well, but I've gone through the code version history, and the last change I found was Mar 2013, where we specifically pause for interaction if the currency is not supported.

Change 280141 had a related patch set uploaded (by Awight):
[WIP] Change meaning of validation variables

https://gerrit.wikimedia.org/r/280141

atgo removed a subscriber: atgo.Mar 30 2016, 10:09 PM
DStrine set the point value for this task to 2.Apr 26 2016, 8:23 PM
DStrine set Security to None.
Ejegg added a subscriber: Ejegg.Apr 26 2016, 8:44 PM

Looks like just settings:

$wgPaypalGatewayFallbackCurrency = 'USD';
$wgPaypalGatewayNotifyOnConvert = false;

Not seeing any emails or admin logs about the change

Ejegg added a subscriber: Ppena.Feb 1 2017, 7:42 PM

@Ppena / @MeganHernandez_WMF : Do we need to change these settings? It's currently converting and redirecting to PayPal without a confirmation page on our site. Once you get to PayPal it does show the conversion from the donation currency to the donor's account currency.

Ppena added a comment.Feb 3 2017, 11:44 PM

@Ejegg I don't remember intentionally changing it, so I support keeping an interstitial page alerting donors to the currency conversion- that's a better and more clear flow.

Ejegg added a comment.Feb 3 2017, 11:51 PM

@Ppena OK, we can turn the interstitial notification back on

awight claimed this task.Mar 6 2017, 9:57 PM

K the PP legacy bug was simply that we never turned the interstitial warning back on. I'll do that for all gateways.

And then the bad news: I enabled NotifyOnConversion and nothing changed.

Change 341592 had a related patch set uploaded (by Awight):
[mediawiki/extensions/DonationInterface] [WIP] Form did not validate if manual errors are present

https://gerrit.wikimedia.org/r/341592

Change 280141 abandoned by Awight:
[WIP] Change meaning of validation variables

Reason:
Hahaha looks like we've been through this town already

https://gerrit.wikimedia.org/r/280141

Change 341592 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Form should not validate if manual errors are present

https://gerrit.wikimedia.org/r/341592

Change 341478 had a related patch set uploaded (by Ejegg; owner: Awight):
[mediawiki/extensions/DonationInterface@master] Integration test that the PayPal legacy gateway shows an error form rather than redirect.

https://gerrit.wikimedia.org/r/341478

Change 341478 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Integration test that the PayPal legacy gateway shows an error form rather than redirect.

https://gerrit.wikimedia.org/r/341478

Change 350495 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Move fallback message to the currency_code slot

https://gerrit.wikimedia.org/r/350495

Ejegg closed this task as Resolved.Apr 26 2017, 10:42 PM
Ejegg reopened this task as Open.
Ejegg moved this task from Done to Review on the Fundraising Sprint Homebrew Hadron Collider board.
Ejegg closed this task as Resolved.May 11 2017, 7:37 PM

Change 350495 abandoned by Ejegg:
Move fallback message to the currency_code slot

https://gerrit.wikimedia.org/r/350495

mmodell removed a subscriber: awight.Jun 22 2017, 9:33 PM